View Issue Details

IDProjectCategoryView StatusLast Update
0000431Industrial-Craft²general / otherpublic2013-10-31 18:06
ReporterpewpewAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000431: onLivingSpecialSpawn crash - dedicated server
DescriptionSee server crash file. Server starts up and generates a world successfully, but crashes almost as soon as a player logs in.
Steps To ReproduceRun a dedicated Minecraft server with the latest forge mod and IC2 - the crash does not seem to happen if run locally.
TagsNo tags attached.
Minecraft Version

Activities

pewpew

2013-06-04 13:51

reporter  

crash-2013-10-30_13.39.42-server.txt (4,920 bytes)
---- Minecraft Crash Report ----
// Why is it breaking :(

Time: 10/30/13 1:39 PM
Description: Exception ticking world

java.lang.RuntimeException: java.lang.NullPointerException
	at ic2.core.IC2.onLivingSpecialSpawn(IC2.java:1859)
	at net.minecraftforge.event.ASMEventHandler_16_IC2_onLivingSpecialSpawn_SpecialSpawn.invoke(.dynamic)
	at net.minecraftforge.event.ASMEventHandler.invoke(ASMEventHandler.java:39)
	at net.minecraftforge.event.EventBus.post(EventBus.java:108)
	at net.minecraftforge.event.ForgeEventFactory.doSpecialSpawn(ForgeEventFactory.java:59)
	at net.minecraft.world.SpawnerAnimals.func_77188_a(SpawnerAnimals.java:244)
	at net.minecraft.world.SpawnerAnimals.func_77192_a(SpawnerAnimals.java:186)
	at net.minecraft.world.WorldServer.func_72835_b(WorldServer.java:180)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:641)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:275)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:571)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:469)
	at net.minecraft.server.ThreadMinecraftServer.run(SourceFile:573)
Caused by: java.lang.NullPointerException
	at ic2.core.IC2.onLivingSpecialSpawn(IC2.java:1857)
	... 12 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
	at ic2.core.IC2.onLivingSpecialSpawn(IC2.java:1859)
	at net.minecraftforge.event.ASMEventHandler_16_IC2_onLivingSpecialSpawn_SpecialSpawn.invoke(.dynamic)
	at net.minecraftforge.event.ASMEventHandler.invoke(ASMEventHandler.java:39)
	at net.minecraftforge.event.EventBus.post(EventBus.java:108)
	at net.minecraftforge.event.ForgeEventFactory.doSpecialSpawn(ForgeEventFactory.java:59)
	at net.minecraft.world.SpawnerAnimals.func_77188_a(SpawnerAnimals.java:244)
	at net.minecraft.world.SpawnerAnimals.func_77192_a(SpawnerAnimals.java:186)
	at net.minecraft.world.WorldServer.func_72835_b(WorldServer.java:180)

-- Affected level --
Details:
	Level name: world
	All players: 1 total; [EntityPlayerMP['rubixqubed'/3964, l='world', x=-232.50, y=72.00, z=322.50]]
	Chunk stats: ServerChunkCache: 626 Drop: 0
	Level seed: 6086642135730049354
	Level generator: ID 00 - default, ver 1. Features enabled: true
	Level generator options: 
	Level spawn location: World: (-223,64,319), Chunk: (at 1,4,15 in -14,19; contains blocks -224,0,304 to -209,255,319), Region: (-1,0; contains chunks -32,0 to -1,31, blocks -512,0,0 to -1,255,511)
	Level time: 255 game time, 255 day time
	Level dimension: 0
	Level storage version: 0x00000 - Unknown?
	Level weather: Rain time: 147087 (now: false), thunder time: 91803 (now: false)
	Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
Stacktrace:
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:641)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:275)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:571)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:469)
	at net.minecraft.server.ThreadMinecraftServer.run(SourceFile:573)

-- System Details --
Details:
	Minecraft Version: 1.5.2
	Operating System: Windows NT (unknown) (amd64) version 6.2
	Java Version: 1.7.0-ea, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Sun Microsystems Inc.
	Memory: 396444288 bytes (378 MB) / 853344256 bytes (813 MB) up to 1431699456 bytes (1365 MB)
	JVM Flags: 1 total; -Xmx1536M
	AABB Pool Size: 5089 (284984 bytes; 0 MB) allocated, 2 (112 bytes; 0 MB) used
	Suspicious classes: FML and Forge are installed
	IntCache: cache: 0, tcache: 0, allocated: 3, tallocated: 63
	FML: MCP v7.51 FML v5.2.17.722 Minecraft Forge 7.8.0.722 4 mods loaded, 4 mods active
	mcp{7.44} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	FML{5.2.17.722} [Forge Mod Loader] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Forge{7.8.0.722} [Minecraft Forge] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IC2{1.115.877} [IndustrialCraft 2] (industrialcraft-2_1.115.877.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Profiler Position: N/A (disabled)
	Vec3 Pool Size: 950 (53200 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Player Count: 1 / 20; [EntityPlayerMP['rubixqubed'/3964, l='world', x=-232.50, y=72.00, z=322.50]]
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

Player

2013-06-10 10:10

administrator   ~0001053

Should be fixed

Issue History

Date Modified Username Field Change
2013-06-04 13:51 pewpew New Issue
2013-06-04 13:51 pewpew File Added: crash-2013-10-30_13.39.42-server.txt
2013-06-10 10:10 Player Note Added: 0001053
2013-06-10 10:10 Player Status new => resolved
2013-06-10 10:10 Player Resolution open => fixed
2013-06-10 10:10 Player Assigned To => Player